This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 461330 - Update realtime kernel's lpfc version to 8.2.0.29
Update realtime kernel's lpfc version to 8.2.0.29
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.0
All Linux
medium Severity high
: 1.1
: ---
Assigned To: Clark Williams
:
: 466572 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 18:02 EDT by Jamie Wellnitz
Modified: 2009-01-22 05:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 05:44:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to update Emulex lpfc driver 8.2.2 to 8.2.0.29 (630.77 KB, patch)
2008-09-05 18:02 EDT, Jamie Wellnitz
no flags Details | Diff

  None (edit)
Description Jamie Wellnitz 2008-09-05 18:02:46 EDT
Created attachment 315938 [details]
Patch to update Emulex lpfc driver 8.2.2  to 8.2.0.29

Update the realtime kernel's lpfc version from 8.2.2 to 8.2.0.29.

This update adds a few ioctls to enable management support and many bugfixes.
Comment 1 laurie barry 2008-10-01 11:08:58 EDT
Clark,

I'm updating the bugzilla and assigning this directly to you while upgrading the severity to urgent.  We didn't get any responses from the default MRG maintainer and we're about to lose our slot in the test group for verifying the MRG kernel.  Can you please help us by getting us a kernel with this driver in it so we can test this out.

Many thx
Laurie
603-930-1771
Comment 2 Clark Williams 2008-10-01 11:30:18 EDT
Didn't realize you were under a time crunch. we've been working on security errata and haven't added your driver yet. When do you need a kernel?
Comment 3 Luis Claudio R. Goncalves 2008-10-01 12:19:31 EDT
The patch was added to our 2.6.24.7-82.el5rt kernel, that will be available soon for testing.
Comment 4 laurie barry 2008-10-01 12:52:41 EDT
Many thanks.  Can you say what available soon means so I can set the appropriate expectations with our test team?

Laurie
Comment 5 Jamie Wellnitz 2008-10-01 13:26:55 EDT
Is the 2.6.24.7-82.el5rt publicly accessible (via tarball, patches, quilt, git, stgit, etc)?  We could build the kernel ourselves for our testing to move this along.
Comment 6 Luis Claudio R. Goncalves 2008-10-01 13:42:34 EDT
It may take less than two hours for us to finish the RPM creation + a few basic tests. Is this a satisfactory time frame?

Case you really need the kernel before that, please let us know.
Comment 7 Jamie Wellnitz 2008-10-01 14:19:17 EDT
2 hours is fine.
Comment 8 Clark Williams 2008-10-01 14:40:53 EDT
As soon as it comes off the build system and we smoke test it (i.e. it boots on a couple of systems) I'll put it on my people.redhat.com page. I'll send email with retrieval information.

clark
Comment 9 laurie barry 2008-10-01 14:55:38 EDT
Many thanks for your quick turnaround on this today.
Laurie
Comment 10 Clark Williams 2008-10-01 18:22:41 EDT
Ugh. Slight hitch in our plans. It seems that some 'improvements' were done on our build system since our last kernel build. We're getting that straightened out with RelEng now, but we're going to be a little late. Best guess is tomorrow morning. 

Apologies.
Clark
Comment 11 Clark Williams 2008-10-02 10:29:21 EDT
Ok, I'm copying the kernel-rt-2.6.24.7-82.el5rt kernel over to my people page as this is being typed. Please let me know if you have trouble retreiving it.

Clark
Comment 12 Jamie Wellnitz 2008-10-02 13:08:11 EDT
I haven't seen anything appear under http://people.redhat.com/williams/ yet.  Do I have to wait for some kind of internel -> external sync to run?
Comment 14 Clark Williams 2008-12-12 11:22:42 EST
*** Bug 466572 has been marked as a duplicate of this bug. ***
Comment 15 Clark Williams 2008-12-12 11:24:57 EST
this driver was ported and tested by Emulex for the RT kernel; recommend QE mark as verified.
Comment 16 David Sommerseth 2008-12-17 04:15:12 EST
Moved to verified, based on comment#15
Comment 18 errata-xmlrpc 2009-01-22 05:44:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0009.html

Note You need to log in before you can comment on or make changes to this bug.